Bug 633012 - HostName is empty by default?
Summary: HostName is empty by default?
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: 6.1
Assignee: Radek Vykydal
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-12 13:18 UTC by A S Alam
Modified: 2013-07-03 01:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 09:10:35 UTC


Attachments (Terms of Use)
anaconda.log file (43.07 KB, text/plain)
2010-09-16 07:26 UTC, A S Alam
no flags Details

Description A S Alam 2010-09-12 13:18:45 UTC
Description of problem:
While installing rhel6, hostname field was empty by default only with (.).

Version-Release number of selected component (if applicable):
anaconda-13.21.82-1.el6.x86_64.rpm

How reproducible:
Every time

Steps to Reproduce:
1. run anaconda installation
2. continue till HostName screen
3.
  
Actual results:
it is empty

Expected results:
name can be there


Additional info:
not sure it is bug or feature

Comment 2 Chris Lumens 2010-09-13 13:48:31 UTC
Can you attach /tmp/anaconda.log to this bug report?  Also, what does DNS think the hostname of this machine is?  You should be able to query that on tty2 using the "host" command, I believe.

Comment 3 A S Alam 2010-09-16 07:26:41 UTC
Created attachment 447666 [details]
anaconda.log file

Comment 4 Chris Lumens 2010-09-22 19:26:12 UTC
Any idea what "host <your ip address>" says?  I don't see how we can end up with just a dot by default from what anaconda's doing.

Comment 5 A S Alam 2010-09-29 13:23:32 UTC
from other system, host <IP> output is (host command was not there with installer):
[aalam@i7hawk ~]$ host 10.10.10.85  
85.10.10.10.in-addr.arpa domain name pointer test1085.test.redhat.com.

$cat /etc/resolv.conf (on machine, where installation going on)
#Generated by NetworkManager
nameserver 10.10.10.99

thanks

Comment 6 Radek Vykydal 2010-09-29 15:58:37 UTC
Can you please attach also /tmp/syslog? You can find the file also on target system as /var/log/anaconda.syslog.

Comment 7 A S Alam 2011-05-25 09:10:35 UTC
system is no longer available with me. Closing as insufficient data


Note You need to log in before you can comment on or make changes to this bug.